/*
 * generated by Xtext
 */
package de.ugoe.cs.swe.ui;

import org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory;
import org.osgi.framework.Bundle;

import com.google.inject.Injector;

import de.ugoe.cs.swe.ui.internal.TTCN3Activator;

/**
 * This class was generated. Customizations should only happen in a newly
 * introduced subclass. 
 */
public class TTCN3ExecutableExtensionFactory extends AbstractGuiceAwareExecutableExtensionFactory {

	@Override
	protected Bundle getBundle() {
		return TTCN3Activator.getInstance().getBundle();
	}
	
	@Override
	protected Injector getInjector() {
		return TTCN3Activator.getInstance().getInjector(TTCN3Activator.DE_UGOE_CS_SWE_TTCN3);
	}
	
}
